import type { grpc } from '@improbable-eng/grpc-web';
import { StatusCodes } from 'http-status-codes';
export declare enum ChainCosmosErrorCode {
    ErrTxDecode = 2,
    ErrInvalidSequence = 3,
    ErrUnauthorized = 4,
    ErrInsufficientFunds = 5,
    ErrUnknownRequest = 6,
    ErrInvalidAddress = 7,
    ErrInvalidPubKey = 8,
    ErrUnknownAddress = 9,
    ErrInvalidCoins = 10,
    ErrOutOfGas = 11,
    ErrMemoTooLarge = 12,
    ErrInsufficientFee = 13,
    ErrTooManySignatures = 14,
    ErrNoSignatures = 15,
    ErrJSONMarshal = 16,
    ErrJSONUnmarshal = 17,
    ErrInvalidRequest = 18,
    ErrTxInMempoolCache = 19,
    ErrMempoolIsFull = 20,
    ErrTxTooLarge = 21,
    ErrKeyNotFound = 22,
    ErrWrongPassword = 23,
    ErrorInvalidSigner = 24,
    ErrorInvalidGasAdjustment = 25,
    ErrInvalidHeight = 26,
    ErrInvalidVersion = 27,
    ErrInvalidChainID = 28,
    ErrInvalidType = 29,
    ErrTxTimeoutHeight = 30,
    ErrUnknownExtensionOptions = 31,
    ErrWrongSequence = 32,
    ErrPackAny = 33,
    ErrUnpackAny = 34,
    ErrLogic = 35,
    ErrConflict = 36,
    ErrNotSupported = 37,
    ErrNotFound = 38,
    ErrIO = 39,
    ErrAppConfig = 40,
    ErrInvalidGasLimit = 41
}
export declare enum ChainExchangeModuleErrorCode {
    ErrOrderInvalid = 1,
    ErrSpotMarketNotFound = 2,
    ErrSpotMarketExists = 3,
    ErrBadField = 4,
    ErrMarketInvalid = 5,
    ErrInsufficientDeposit = 6,
    ErrUnrecognizedOrderType = 7,
    ErrInsufficientPositionQuantity = 8,
    ErrOrderHashInvalid = 9,
    ErrBadSubaccountID = 10,
    ErrInvalidTicker = 11,
    ErrInvalidBaseDenom = 12,
    ErrInvalidQuoteDenom = 13,
    ErrInvalidOracle = 14,
    ErrInvalidExpiry = 15,
    ErrInvalidPrice = 16,
    ErrInvalidQuantity = 17,
    ErrUnsupportedOracleType = 18,
    ErrOrderDoesntExist = 19,
    ErrOrderbookFillInvalid = 20,
    ErrPerpetualMarketExists = 21,
    ErrExpiryFuturesMarketExists = 22,
    ErrExpiryFuturesMarketExpired = 23,
    ErrNoLiquidity = 24,
    ErrSlippageExceedsWorstPrice = 25,
    ErrInsufficientOrderMargin = 26,
    ErrDerivativeMarketNotFound = 27,
    ErrPositionNotFound = 28,
    ErrInvalidReduceOnlyPositionDirection = 29,
    ErrPriceSurpassesBankruptcyPrice = 30,
    ErrPositionNotLiquidable = 31,
    ErrInvalidTriggerPrice = 32,
    ErrInvalidOracleType = 33,
    ErrInvalidPriceTickSize = 34,
    ErrInvalidQuantityTickSize = 35,
    ErrInvalidMargin = 36,
    ErrExceedsOrderSideCount = 37,
    ErrMarketOrderAlreadyExists = 38,
    ErrConditionalMarketOrderAlreadyExists = 39,
    ErrMarketLaunchProposalAlreadyExists = 40,
    ErrInvalidMarketStatus = 41,
    ErrSameDenoms = 42,
    ErrSameOracles = 43,
    ErrFeeRatesRelation = 44,
    ErrMarginsRelation = 45,
    ErrExceedsMaxOracleScaleFactor = 46,
    ErrSpotExchangeNotEnabled = 47,
    ErrDerivativesExchangeNotEnabled = 48,
    ErrOraclePriceDeltaExceedsThreshold = 49,
    ErrInvalidHourlyInterestRate = 50,
    ErrInvalidHourlyFundingRateCap = 51,
    ErrInvalidMarketFundingParamUpdate = 52,
    ErrInvalidTradingRewardCampaign = 53,
    ErrInvalidFeeDiscountSchedule = 54,
    ErrInvalidLiquidationOrder = 55,
    ErrTradingRewardCampaignDistributionError = 56,
    ErrInvalidTradingRewardsPendingPointsUpdate = 57,
    ErrInvalidBatchMsgUpdate = 58,
    ErrExceedsTopOfBookPrice = 59,
    ErrInvalidOrderTypeForMessage = 60,
    ErrInvalidDMMSender = 61,
    ErrAlreadyOptedOutOfRewards = 62,
    ErrInvalidMarginRatio = 63,
    ErrBelowMinimalContribution = 64,
    ErrLowPositionMargin = 65,
    ErrInvalidTotalSupply = 66,
    ErrInvalidLpTokenBurnAmount = 67,
    ErrUnsupportedAction = 68,
    ErrNegativePositionQuantity = 69,
    ErrBinaryOptionsMarketExists = 70,
    ErrBinaryOptionsMarketNotFound = 71,
    ErrInvalidSettlement = 72,
    ErrAccountDoesntExist = 73,
    ErrSenderIsNotAnAdmin = 74,
    ErrMarketAlreadyScheduledToSettle = 75,
    ErrGenericMarketNotFound = 76,
    ErrInvalidDenomDecimal = 77,
    ErrInvalidState = 78,
    ErrTransientOrdersUpToCancelNotSupported = 79,
    ErrInvalidTrade = 80,
    ErrNoMarginLocked = 81,
    ErrInvalidAccessLevel = 82,
    ErrInvalidAddress = 83,
    ErrInvalidArgument = 84
}
export declare type IndexerApiErrorCode = number;
export declare const UnspecifiedErrorCode = -1;
export declare type ErrorCode = StatusCodes | typeof UnspecifiedErrorCode | grpc.Code;
export declare type ErrorContextCode = ChainExchangeModuleErrorCode | ChainCosmosErrorCode | typeof UnspecifiedErrorCode;
