/**
 * Different networks available on Router chain.
 *
 * @group Network
 */
export declare enum Network {
    Local = "local",
    InternalDevnet = "internal-devnet",
    AlphaDevnet = "alpha-devnet",
    Devnet = "devnet",
    Testnet = "testnet",
    Mainnet = "mainnet",
    Docker = "docker"
}
export declare const getNetworkType: (type: string) => Network;
export declare type NetworkEndpoints = {
    explorerGql: string;
    explorerGqlWs: string;
    lcdEndpoint: string;
    grpcEndpoint: string;
    tmEndpoint: string;
    rpcEndpoint: string;
};
export declare type UrlEndpoints = NetworkEndpoints; /** Deprecated */
export declare type ChainInfo = {
    feeDenom: string;
    chainId: string;
    env: string;
};
export declare type ChainConfigurationtype = {
    name: string;
    chainId: string;
    logoURI: string;
};
