import { CosmosChainId } from '../../../..';
import type { DirectSignResponse } from '@cosmjs/proto-signing';
import { TxRaw } from '@routerprotocol/chain-api/cosmos/tx/v1beta1/tx_pb';
import { ConcreteCosmosWalletStrategy } from '../../types/strategy';
import { WalletDeviceType } from '../../../types/enums';
export default class Keplr implements ConcreteCosmosWalletStrategy {
    chainId: CosmosChainId;
    private keplrWallet;
    constructor(args: {
        chainId: CosmosChainId;
    });
    getWalletDeviceType(): Promise<WalletDeviceType>;
    isChainIdSupported(chainId?: CosmosChainId): Promise<boolean>;
    getAddresses(): Promise<string[]>;
    sendTransaction(transaction: DirectSignResponse | TxRaw): Promise<string>;
    signTransaction(transaction: {
        txRaw: TxRaw;
        chainId: string;
        accountNumber: number;
    }, address: string): Promise<DirectSignResponse>;
    getPubKey(): Promise<string>;
    private getKeplrWallet;
}
